%define name    ion
%define version 20030131
%define release 1mdk
%define prefix  /usr/X11R6
%define summary Tiling window manager with keyboard-oriented interface.

Summary:	%summary
Name:		%name
Version:	%version
Release:	%release
Group:		Graphical desktop/Other
License:	Artistic
URL: 		http://www.students.tut.fi/~tuomov/ion
# http://modeemi.cs.tut.fi/~tuomov/dl
Source: 	%name-devel-%version.tar.bz2
BuildRoot:	%_tmppath/%name-buildroot
BuildRequires:  XFree86-devel freetype2-devel
Requires:       freetype2

%description

Ion was written as an experiment on a different kind of window man-
agement model and it tries to address the navigation problem by hav-
ing the screen divided into frames that take up the whole screen and
never overlap.

Read the manpage or go nuts


%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %name-devel-%version

# Fix path-names in the manpage.
perl -pi -e "s#PREFIX/etc#%_sysconfdir/X11#g"    man/ion.1x.in
perl -pi -e "s#PREFIX/doc#%_docdir-%version#g" man/ion.1x.in
perl -pi -e "s#ion-devel#ion#" src/main.c
# Fix `broken' glibc: http://rt.fm/ion/archive/2003-01/0092.html
# perl -pi -e "s#-pedantic-errors#-pedantic#" system.mk
# Enable aa
cat >> system.mk << EOF
EXTRA_LIBS+=-lXft
DEFINES+=-DCF_XFT
EXTRA_INCLUDES+=-I/usr/include/freetype2
EOF


%build
make depend
%make	PREFIX=%prefix \
	MANDIR=%prefix/man \
	ETCDIR=%_sysconfdir/X11 \
	IONETCDIR=%_sysconfdir/X11/%name


%install
rm -rf $RPM_BUILD_ROOT

make install	PREFIX=%buildroot%prefix \
		MANDIR=%buildroot%prefix/man \
		DOCS= \
		ETCDIR=%buildroot%_sysconfdir/X11 \
		IONETCDIR=%buildroot%_sysconfdir/X11/ion

mkdir -p $RPM_BUILD_ROOT%_sysconfdir/X11/wmsession.d
cat > $RPM_BUILD_ROOT%_sysconfdir/X11/wmsession.d/14%name << EOF
NAME=%name
EXEC=%prefix/bin/%name
DESC=%summary
SCRIPT:
exec %prefix/bin/%name
EOF

%post
%make_session

%postun
%make_session

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(755,root,root,755)
%prefix/bin/*
%defattr(644,root,root,755)
%doc doc/*.txt ChangeLog LICENSE README
%prefix/man/man1/*
%config(noreplace) %_sysconfdir/X11/ion/*
%config(noreplace) %_sysconfdir/X11/wmsession.d/14%name


%changelog
* Mon Feb 03 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 20030131-1mdk
- from Han Boetes <han@linux-mandrake.com>
	- Bump !

* Mon Jan 27 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 20021229-1mdk 
- from Han Boetes <han@linux-mandrake.com>
	- Bump to the latest snapshot
	- Spec cleanups

* Fri Dec 27 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 20021104-2mdk
- rebuild for rpm and glibc

* Tue Nov 12 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 20021104-1mdk
- rpmlint happy with session file
- By Han Boetes <han@linux-mandrake.com>
	- 20021104
	- Fix path-names in manpage
	- Bump to a recent devel-release
	- Minor cleanups.

* Fri Jun 28 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 20020207-3mdk
- add missing session menu file

* Mon Jun 24 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 20020207-2mdk
- add session menu
- macro %%prefix
- Thx Han

* Sun Feb 17 2002 Han Boetes <han@mijncomputer.nl> 20020207-1mdk
- Bummmmmmmmmppppp...

* Sun Nov 11 2001 Han Boetes <han@mijncomputer.nl> 20011109-1mdk
- Update to new release.

* Sun Nov  4 2001 Han Boetes <han@mijncomputer.nl> 20010523-2mdk
- Corrected installation dirs to conform FHS

* Sun Nov  4 2001 Han Boetes <han@mijncomputer.nl> 20010523-1mdk
- Initial build

# end of file
